aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-03-26 15:03:25 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-03-26 15:07:50 -0500
commit9f3c0141424fe8dd2d38255373a3e46bc23f13fb (patch)
tree8046c48a8cc6f67305e1d66f5e9596f441bb63ac
parentb1f91cc0a928cd08c01605498e151eda8dbcce4a (diff)
Create a script exporting separate functions and remove download function from downloads script. Reformat MD5 mismatch failed message.
-rw-r--r--download.sh18
-rw-r--r--functions.sh19
2 files changed, 20 insertions, 17 deletions
diff --git a/download.sh b/download.sh
index 4e3c794..2cec438 100644
--- a/download.sh
+++ b/download.sh
@@ -2,22 +2,6 @@
# Downlod Packages and Patches
-download()
-{
- tput civis
- local url=$1
- echo -n " "
- wget -nc -q --show-progress --progress=dot "$url" 2>&1 | grep --line-buffered "%" | \
- sed -u -e "s,\.,,g" | awk '{printf("\b\b\b\b%4s", $2)}'
- local retval="${PIPESTATUS[0]}"
- if [ "${retval}" -ne 0 ]; then
- printf "%b" "${RED}FAILED! WGET EXIT (${retval})\n${RST}"
- exit "${retval}"
- fi
- printf "%b" "\b\b\b\b\n"
- tput cnorm
-}
-
cat packages.csv patches.csv | while read -r line; do
#NAME="$(echo "$line" | cut -d\, -f1)"
VERSION="$(echo "$line" | cut -d\, -f2)"
@@ -32,7 +16,7 @@ cat packages.csv patches.csv | while read -r line; do
download "${URL}"
if ! echo "${MD5SUM} ${LFS}/sources/${CACHEFILE}" | md5sum -c > /dev/null 2>&1; then
rm -f "${LFS}/sources/${CACHEFILE}"
- printf "%b" "\n${GRN}Verification of ${YLW}${CACHEFILE} ${RED}FAILED! MD5 MISMATCH!${RST}\n"
+ printf "%b" "${GRN}Verification of ${YLW}${CACHEFILE} ${RED}FAILED! MD5 MISMATCH!${RST}\n"
exit 1
fi
fi
diff --git a/functions.sh b/functions.sh
new file mode 100644
index 0000000..d2ff5be
--- /dev/null
+++ b/functions.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+download()
+{
+ tput civis
+ local url=$1
+ echo -n " "
+ wget -nc -q --show-progress --progress=dot "$url" 2>&1 | grep --line-buffered "%" | \
+ sed -u -e "s,\.,,g" | awk '{printf("\b\b\b\b%4s", $2)}'
+ local retval="${PIPESTATUS[0]}"
+ if [ "${retval}" -ne 0 ]; then
+ printf "%b" "${RED}FAILED! WGET EXIT (${retval})\n${RST}"
+ exit "${retval}"
+ fi
+ printf "%b" "\b\b\b\b\n"
+ tput cnorm
+}
+
+export -f download